--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.15
-- Dumped by pg_dump version 9.6.15

-- Started on 2022-03-31 21:53:26

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- TOC entry 1 (class 3079 OID 12387)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2322 (class 0 OID 0)
-- Dependencies: 1
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 212 (class 1259 OID 21330)
-- Name: bills; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.bills (
    id_bill integer NOT NULL,
    created timestamp without time zone,
    id_location integer,
    id_user integer,
    id_card integer,
    storno boolean
);


ALTER TABLE public.bills OWNER TO postgres;

--
-- TOC entry 211 (class 1259 OID 21328)
-- Name: Bills_id_bill_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public."Bills_id_bill_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Bills_id_bill_seq" OWNER TO postgres;

--
-- TOC entry 2323 (class 0 OID 0)
-- Dependencies: 211
-- Name: Bills_id_bill_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public."Bills_id_bill_seq" OWNED BY public.bills.id_bill;


--
-- TOC entry 204 (class 1259 OID 21198)
-- Name: addressbook; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.addressbook (
    id_address integer NOT NULL,
    address character varying,
    city character varying,
    psc character varying
);


ALTER TABLE public.addressbook OWNER TO postgres;

--
-- TOC entry 203 (class 1259 OID 21196)
-- Name: addressbook_id_address_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.addressbook_id_address_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.addressbook_id_address_seq OWNER TO postgres;

--
-- TOC entry 2324 (class 0 OID 0)
-- Dependencies: 203
-- Name: addressbook_id_address_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.addressbook_id_address_seq OWNED BY public.addressbook.id_address;


--
-- TOC entry 214 (class 1259 OID 21348)
-- Name: bills_order; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.bills_order (
    id_billorder integer NOT NULL,
    id_bill integer,
    id_product integer,
    amount real,
    price_w_vat real
);


ALTER TABLE public.bills_order OWNER TO postgres;

--
-- TOC entry 213 (class 1259 OID 21346)
-- Name: bills_order_id_billorder_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.bills_order_id_billorder_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.bills_order_id_billorder_seq OWNER TO postgres;

--
-- TOC entry 2325 (class 0 OID 0)
-- Dependencies: 213
-- Name: bills_order_id_billorder_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.bills_order_id_billorder_seq OWNED BY public.bills_order.id_billorder;


--
-- TOC entry 198 (class 1259 OID 21152)
-- Name: buttons; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.buttons (
    id_buttons integer NOT NULL,
    x integer,
    y integer,
    width integer,
    height integer,
    color character varying,
    id_products integer,
    id_buttons_list integer,
    fontcolor character varying
);


ALTER TABLE public.buttons OWNER TO postgres;

--
-- TOC entry 197 (class 1259 OID 21150)
-- Name: buttons_id_buttons_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.buttons_id_buttons_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.buttons_id_buttons_seq OWNER TO postgres;

--
-- TOC entry 2326 (class 0 OID 0)
-- Dependencies: 197
-- Name: buttons_id_buttons_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.buttons_id_buttons_seq OWNED BY public.buttons.id_buttons;


--
-- TOC entry 196 (class 1259 OID 21141)
-- Name: buttons_list; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.buttons_list (
    id_buttons_list integer NOT NULL,
    name character varying
);


ALTER TABLE public.buttons_list OWNER TO postgres;

--
-- TOC entry 195 (class 1259 OID 21139)
-- Name: buttons_list_id_buttons_list_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.buttons_list_id_buttons_list_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.buttons_list_id_buttons_list_seq OWNER TO postgres;

--
-- TOC entry 2327 (class 0 OID 0)
-- Dependencies: 195
-- Name: buttons_list_id_buttons_list_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.buttons_list_id_buttons_list_seq OWNED BY public.buttons_list.id_buttons_list;


--
-- TOC entry 208 (class 1259 OID 21228)
-- Name: cards; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.cards (
    id_card integer NOT NULL,
    uid character varying,
    credit numeric,
    id_user integer,
    active boolean,
    cardnumber character varying
);


ALTER TABLE public.cards OWNER TO postgres;

--
-- TOC entry 207 (class 1259 OID 21226)
-- Name: cards_id_card_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.cards_id_card_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cards_id_card_seq OWNER TO postgres;

--
-- TOC entry 2328 (class 0 OID 0)
-- Dependencies: 207
-- Name: cards_id_card_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.cards_id_card_seq OWNED BY public.cards.id_card;


--
-- TOC entry 202 (class 1259 OID 21187)
-- Name: customers; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.customers (
    id_customers integer NOT NULL,
    name character varying,
    email character varying,
    password character varying,
    surname character varying,
    sex character(1),
    birthday date,
    phone character varying,
    id_address integer
);


ALTER TABLE public.customers OWNER TO postgres;

--
-- TOC entry 201 (class 1259 OID 21185)
-- Name: customers_id_customers_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.customers_id_customers_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.customers_id_customers_seq OWNER TO postgres;

--
-- TOC entry 2329 (class 0 OID 0)
-- Dependencies: 201
-- Name: customers_id_customers_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.customers_id_customers_seq OWNED BY public.customers.id_customers;


--
-- TOC entry 188 (class 1259 OID 21079)
-- Name: dph; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.dph (
    id_dph integer NOT NULL,
    name character varying,
    value numeric
);


ALTER TABLE public.dph OWNER TO postgres;

--
-- TOC entry 187 (class 1259 OID 21077)
-- Name: dph_id_dph_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.dph_id_dph_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dph_id_dph_seq OWNER TO postgres;

--
-- TOC entry 2330 (class 0 OID 0)
-- Dependencies: 187
-- Name: dph_id_dph_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.dph_id_dph_seq OWNED BY public.dph.id_dph;


--
-- TOC entry 210 (class 1259 OID 21275)
-- Name: events; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.events (
    id_events integer NOT NULL,
    name character varying,
    location character varying,
    event_start timestamp without time zone,
    event_end timestamp without time zone,
    image character varying
);


ALTER TABLE public.events OWNER TO postgres;

--
-- TOC entry 209 (class 1259 OID 21273)
-- Name: events_id_events_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.events_id_events_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.events_id_events_seq OWNER TO postgres;

--
-- TOC entry 2331 (class 0 OID 0)
-- Dependencies: 209
-- Name: events_id_events_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.events_id_events_seq OWNED BY public.events.id_events;


--
-- TOC entry 200 (class 1259 OID 21175)
-- Name: locations; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.locations (
    id_location integer NOT NULL,
    name character varying,
    id_event integer
);


ALTER TABLE public.locations OWNER TO postgres;

--
-- TOC entry 199 (class 1259 OID 21173)
-- Name: locations_id_location_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.locations_id_location_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.locations_id_location_seq OWNER TO postgres;

--
-- TOC entry 2332 (class 0 OID 0)
-- Dependencies: 199
-- Name: locations_id_location_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.locations_id_location_seq OWNED BY public.locations.id_location;


--
-- TOC entry 206 (class 1259 OID 21209)
-- Name: orders; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.orders (
    id_order integer NOT NULL,
    date timestamp without time zone,
    id_customer integer,
    cardamount integer,
    status boolean
);


ALTER TABLE public.orders OWNER TO postgres;

--
-- TOC entry 205 (class 1259 OID 21207)
-- Name: orders_id_order_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.orders_id_order_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.orders_id_order_seq OWNER TO postgres;

--
-- TOC entry 2333 (class 0 OID 0)
-- Dependencies: 205
-- Name: orders_id_order_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.orders_id_order_seq OWNED BY public.orders.id_order;


--
-- TOC entry 190 (class 1259 OID 21090)
-- Name: products; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.products (
    id_products integer NOT NULL,
    name character varying,
    value_w_vat numeric,
    value_n_vat numeric,
    text character varying,
    id_dph integer,
    id_productsgroup integer,
    code character varying,
    id_unit integer,
    id_event integer
);


ALTER TABLE public.products OWNER TO postgres;

--
-- TOC entry 192 (class 1259 OID 21107)
-- Name: products_group; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.products_group (
    id_productsgroup integer NOT NULL,
    name character varying,
    id_event integer
);


ALTER TABLE public.products_group OWNER TO postgres;

--
-- TOC entry 191 (class 1259 OID 21105)
-- Name: products_group_id_productsgroup_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.products_group_id_productsgroup_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.products_group_id_productsgroup_seq OWNER TO postgres;

--
-- TOC entry 2334 (class 0 OID 0)
-- Dependencies: 191
-- Name: products_group_id_productsgroup_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.products_group_id_productsgroup_seq OWNED BY public.products_group.id_productsgroup;


--
-- TOC entry 189 (class 1259 OID 21088)
-- Name: products_id_products_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.products_id_products_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.products_id_products_seq OWNER TO postgres;

--
-- TOC entry 2335 (class 0 OID 0)
-- Dependencies: 189
-- Name: products_id_products_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.products_id_products_seq OWNED BY public.products.id_products;


--
-- TOC entry 194 (class 1259 OID 21118)
-- Name: unit; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.unit (
    id_unit integer NOT NULL,
    code character varying
);


ALTER TABLE public.unit OWNER TO postgres;

--
-- TOC entry 193 (class 1259 OID 21116)
-- Name: unit_id_unit_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.unit_id_unit_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.unit_id_unit_seq OWNER TO postgres;

--
-- TOC entry 2336 (class 0 OID 0)
-- Dependencies: 193
-- Name: unit_id_unit_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.unit_id_unit_seq OWNED BY public.unit.id_unit;


--
-- TOC entry 186 (class 1259 OID 21056)
-- Name: users; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.users (
    id_user integer NOT NULL,
    name character varying,
    login character varying,
    password character varying,
    pin integer,
    email character varying,
    surname character varying,
    sex character(1),
    phone character varying,
    id_address integer,
    birthday date
);


ALTER TABLE public.users OWNER TO postgres;

--
-- TOC entry 185 (class 1259 OID 21054)
-- Name: users_id_user_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.users_id_user_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.users_id_user_seq OWNER TO postgres;

--
-- TOC entry 2337 (class 0 OID 0)
-- Dependencies: 185
-- Name: users_id_user_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.users_id_user_seq OWNED BY public.users.id_user;


--
-- TOC entry 2106 (class 2604 OID 21201)
-- Name: addressbook id_address; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.addressbook ALTER COLUMN id_address SET DEFAULT nextval('public.addressbook_id_address_seq'::regclass);


--
-- TOC entry 2110 (class 2604 OID 21333)
-- Name: bills id_bill; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills ALTER COLUMN id_bill SET DEFAULT nextval('public."Bills_id_bill_seq"'::regclass);


--
-- TOC entry 2111 (class 2604 OID 21351)
-- Name: bills_order id_billorder; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills_order ALTER COLUMN id_billorder SET DEFAULT nextval('public.bills_order_id_billorder_seq'::regclass);


--
-- TOC entry 2103 (class 2604 OID 21155)
-- Name: buttons id_buttons; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.buttons ALTER COLUMN id_buttons SET DEFAULT nextval('public.buttons_id_buttons_seq'::regclass);


--
-- TOC entry 2102 (class 2604 OID 21144)
-- Name: buttons_list id_buttons_list; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.buttons_list ALTER COLUMN id_buttons_list SET DEFAULT nextval('public.buttons_list_id_buttons_list_seq'::regclass);


--
-- TOC entry 2108 (class 2604 OID 21231)
-- Name: cards id_card; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.cards ALTER COLUMN id_card SET DEFAULT nextval('public.cards_id_card_seq'::regclass);


--
-- TOC entry 2105 (class 2604 OID 21190)
-- Name: customers id_customers; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.customers ALTER COLUMN id_customers SET DEFAULT nextval('public.customers_id_customers_seq'::regclass);


--
-- TOC entry 2098 (class 2604 OID 21082)
-- Name: dph id_dph; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.dph ALTER COLUMN id_dph SET DEFAULT nextval('public.dph_id_dph_seq'::regclass);


--
-- TOC entry 2109 (class 2604 OID 21278)
-- Name: events id_events; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.events ALTER COLUMN id_events SET DEFAULT nextval('public.events_id_events_seq'::regclass);


--
-- TOC entry 2104 (class 2604 OID 21178)
-- Name: locations id_location; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.locations ALTER COLUMN id_location SET DEFAULT nextval('public.locations_id_location_seq'::regclass);


--
-- TOC entry 2107 (class 2604 OID 21212)
-- Name: orders id_order; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.orders ALTER COLUMN id_order SET DEFAULT nextval('public.orders_id_order_seq'::regclass);


--
-- TOC entry 2099 (class 2604 OID 21093)
-- Name: products id_products; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products ALTER COLUMN id_products SET DEFAULT nextval('public.products_id_products_seq'::regclass);


--
-- TOC entry 2100 (class 2604 OID 21110)
-- Name: products_group id_productsgroup; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products_group ALTER COLUMN id_productsgroup SET DEFAULT nextval('public.products_group_id_productsgroup_seq'::regclass);


--
-- TOC entry 2101 (class 2604 OID 21121)
-- Name: unit id_unit; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.unit ALTER COLUMN id_unit SET DEFAULT nextval('public.unit_id_unit_seq'::regclass);


--
-- TOC entry 2097 (class 2604 OID 21059)
-- Name: users id_user; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.users ALTER COLUMN id_user SET DEFAULT nextval('public.users_id_user_seq'::regclass);


--
-- TOC entry 2338 (class 0 OID 0)
-- Dependencies: 211
-- Name: Bills_id_bill_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public."Bills_id_bill_seq"', 56, true);


--
-- TOC entry 2304 (class 0 OID 21198)
-- Dependencies: 204
-- Data for Name: addressbook; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.addressbook (id_address, address, city, psc) FROM stdin;
6	Hutnická 496/8	Buštěhrad	27343
7	Hutnická 496/8	Buštěhrad	27343
8	Hutnická 496/8	Buštěhrad	27343
9	Hutnická 496/8	Buštěhrad	27343
10	Hutnická 496/8	Buštěhrad	27343
11	Hutnická 496/8	Buštěhrad	27343
12	Hutnická 496/8	Buštěhrad	27343
13	Hutnická 496	Buštěhrad	27343
14	Kamýcká 129	Praha-Suchdol	16500
\.


--
-- TOC entry 2339 (class 0 OID 0)
-- Dependencies: 203
-- Name: addressbook_id_address_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.addressbook_id_address_seq', 14, true);


--
-- TOC entry 2312 (class 0 OID 21330)
-- Dependencies: 212
-- Data for Name: bills; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.bills (id_bill, created, id_location, id_user, id_card, storno) FROM stdin;
30	2021-01-24 10:52:25.294938	8	2	5	t
29	2021-01-24 10:52:07.025297	8	2	5	t
28	2021-01-19 23:18:20.994385	8	2	5	t
3	2021-01-17 14:45:35.896585	8	2	5	t
14	2021-01-17 15:33:45.764495	8	2	5	f
15	2021-01-17 15:34:55.594803	8	2	5	f
16	2021-01-17 15:39:40.77501	8	2	5	f
17	2021-01-17 15:40:59.078944	8	2	5	f
18	2021-01-17 15:42:02.656923	8	2	5	f
19	2021-01-17 15:51:19.674165	8	2	5	f
20	2021-01-17 15:53:20.793541	8	2	5	f
21	2021-01-17 18:47:42.423808	8	2	5	f
22	2021-01-17 18:49:42.543883	8	2	5	f
23	2021-01-17 18:50:00.640684	8	2	5	f
24	2021-01-19 21:40:25.962099	8	10	5	f
25	2021-01-19 21:40:57.963927	8	10	5	f
26	2021-01-19 21:43:52.693627	8	10	5	f
27	2021-01-19 21:44:48.710522	8	10	5	t
31	2021-01-24 16:28:36.011263	8	2	5	f
2	2021-01-17 14:24:50.9705	8	2	5	f
4	2021-01-17 15:06:52.524629	8	2	5	t
5	2021-01-17 15:07:20.928709	8	2	5	f
32	2021-01-24 21:11:35.534248	8	2	5	f
6	2021-01-17 15:13:43.620501	8	2	5	t
7	2021-01-17 15:23:58.195021	8	2	5	t
8	2021-01-17 15:26:14.485122	8	2	5	t
9	2021-01-17 15:26:37.986845	8	2	5	t
10	2021-01-17 15:28:34.037153	8	2	5	t
11	2021-01-17 15:31:57.831213	8	2	5	t
12	2021-01-17 15:33:09.675835	8	2	5	t
13	2021-01-17 15:33:32.01547	8	2	5	t
33	2021-01-27 18:50:50.22149	8	2	5	f
34	2021-01-27 18:55:32.037922	8	2	5	f
35	2021-01-27 18:57:57.196821	8	2	5	f
36	2021-01-27 20:37:27.054774	8	2	5	f
37	2021-01-27 20:41:45.411219	8	2	5	f
38	2021-01-27 20:42:29.814498	8	2	5	f
39	2021-01-27 20:44:36.294145	8	2	5	f
40	2021-01-27 20:46:30.142497	8	2	5	f
41	2021-01-27 21:40:48.314744	8	2	5	f
42	2021-01-27 21:47:06.261895	8	2	5	f
43	2021-01-27 21:56:57.816794	8	2	5	f
44	2021-01-27 22:11:11.862261	8	2	5	f
45	2021-01-27 22:18:03.283908	8	2	5	f
46	2021-01-27 22:59:15.426571	8	2	5	f
47	2021-01-27 23:01:34.718123	8	2	5	f
48	2021-01-27 23:07:10.785112	8	2	5	f
49	2021-01-27 23:50:06.644365	8	2	5	f
50	2021-01-28 21:01:24.834981	8	9	5	f
51	2021-01-31 20:32:38.343644	8	2	5	t
52	2021-03-07 14:43:56.434834	8	2	5	f
53	2021-03-07 14:44:44.958959	8	2	5	f
54	2021-03-07 14:48:27.031138	8	2	5	f
56	2021-03-07 14:58:05.630392	8	2	5	f
55	2021-03-07 14:55:14.207447	8	2	5	t
\.


--
-- TOC entry 2314 (class 0 OID 21348)
-- Dependencies: 214
-- Data for Name: bills_order; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.bills_order (id_billorder, id_bill, id_product, amount, price_w_vat) FROM stdin;
1	3	4	2	\N
2	6	4	3	\N
3	7	7	4	\N
4	8	5	3	\N
5	9	5	1	\N
6	10	5	2	\N
7	11	5	1	\N
8	12	5	2	\N
9	13	5	2	\N
10	14	5	2	\N
11	15	5	1	\N
12	16	5	2	\N
13	17	5	2	\N
14	18	5	3	\N
15	19	5	2	\N
16	20	5	1	\N
17	21	5	2	\N
18	22	5	2	\N
19	23	5	2	\N
20	24	5	2	\N
21	25	7	10	\N
22	26	10	1	\N
23	27	10	5	\N
24	28	10	1	\N
25	28	5	1	\N
26	28	7	1	\N
27	29	10	1	\N
28	30	5	2	\N
29	31	10	1	\N
30	32	10	1	\N
31	33	10	1	\N
32	34	10	1	120
33	35	10	1	120
34	36	10	1	120
35	37	10	1	120
36	38	10	1	120
37	39	10	1	120
38	40	10	1	120
39	41	10	1	120
40	42	10	1	120
41	43	5	1	43
42	43	10	1	120
43	44	4	1	32
44	44	5	1	43
45	44	6	1	60
46	44	10	3	120
47	45	6	1	60
48	45	5	1	43
49	45	10	1	120
50	46	6	1	60
51	46	5	1	43
52	46	10	1	120
53	47	5	1	43
54	48	10	1	120
55	49	7	2	16
56	49	5	1	43
57	49	6	1	60
58	49	10	2	120
59	50	5	1	43
60	50	10	1	120
61	50	7	3	16
62	51	7	3	16
63	51	10	3	120
64	52	7	2	16
65	53	7	10	16
66	54	5	10	43
67	55	7	10	16
68	56	7	10	16
\.


--
-- TOC entry 2340 (class 0 OID 0)
-- Dependencies: 213
-- Name: bills_order_id_billorder_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.bills_order_id_billorder_seq', 68, true);


--
-- TOC entry 2298 (class 0 OID 21152)
-- Dependencies: 198
-- Data for Name: buttons; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.buttons (id_buttons, x, y, width, height, color, id_products, id_buttons_list, fontcolor) FROM stdin;
45	0	7	2	1	#FFFFFF00	22	5	#FF000000
37	0	0	2	2	#FFCD853F	10	5	#FF000000
46	5	0	1	2	#FFFFFF00	21	5	#FF000000
43	4	6	1	1	#FF7CFC00	19	5	#FF000000
40	2	1	2	1	#FFFF0000	15	5	#FF000000
41	2	5	2	2	#FFDA70D6	16	5	#FF000000
47	0	2	1	1	#FFFFFFFF	4	5	#FF000000
50	5	5	1	1	#FF000000	7	5	#FFFFFAFA
51	6	5	1	1	#FFFFC0CB	5	5	#FF000000
52	0	3	1	1	#FFFFA500	4	5	#FF000000
53	6	6	2	1	#FFFFFFFF	5	5	#FF000000
39	0	5	2	2	#FF87CEFA	14	5	#FF000000
38	2	0	2	1	#FFFA8072	13	5	#FF000000
49	3	2	1	1	#FF4682B4	4	5	#FF000000
48	1	2	2	1	#FF9ACD32	4	5	#FF000000
54	6	0	2	1	#FFE6E6FA	4	5	#FF000000
42	4	0	1	2	#FF5F9EA0	18	5	#FF000000
44	4	5	1	1	#FFFFA500	20	5	#FF000000
\.


--
-- TOC entry 2341 (class 0 OID 0)
-- Dependencies: 197
-- Name: buttons_id_buttons_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.buttons_id_buttons_seq', 54, true);


--
-- TOC entry 2296 (class 0 OID 21141)
-- Dependencies: 196
-- Data for Name: buttons_list; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.buttons_list (id_buttons_list, name) FROM stdin;
6	Test2
5	test
\.


--
-- TOC entry 2342 (class 0 OID 0)
-- Dependencies: 195
-- Name: buttons_list_id_buttons_list_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.buttons_list_id_buttons_list_seq', 6, true);


--
-- TOC entry 2308 (class 0 OID 21228)
-- Dependencies: 208
-- Data for Name: cards; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.cards (id_card, uid, credit, id_user, active, cardnumber) FROM stdin;
10	123456	0	4	f	2707914101225839
12	wer	0	4	f	2707912525150974
11	654321	200	4	t	2707274741804790
13	123456	1000	1	t	2707780205680562
5	eb3cae2e	1136	4	t	2707272919942079
14	654321	0	1	t	2707285553395402
16	7654321	0	5	f	2707791617027473
15	1234567	1500	5	t	2707906968676867
\.


--
-- TOC entry 2343 (class 0 OID 0)
-- Dependencies: 207
-- Name: cards_id_card_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.cards_id_card_seq', 16, true);


--
-- TOC entry 2302 (class 0 OID 21187)
-- Dependencies: 202
-- Data for Name: customers; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.customers (id_customers, name, email, password, surname, sex, birthday, phone, id_address) FROM stdin;
3	Dominik	test@test.com	e7f527035215f0bee670cce10b17347a82db72a7d41930ac2c7f7240991dc711	Klodner	m	1997-07-27	732518654	7
1	CustomerTest	c@customer.com	31f9694cba700e114a9af3effca739af469febf320100d455b2f80c00480864b	Nová	ž	1997-07-27	732518654	7
4	Dominik	t@test.com	31f9694cba700e114a9af3effca739af469febf320100d455b2f80c00480864b	Klodner	m	2021-01-10	732518654	9
5	Jan	test@czu.cz	31f9694cba700e114a9af3effca739af469febf320100d455b2f80c00480864b	Novák	m	2022-03-20	777666555	14
\.


--
-- TOC entry 2344 (class 0 OID 0)
-- Dependencies: 201
-- Name: customers_id_customers_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.customers_id_customers_seq', 5, true);


--
-- TOC entry 2288 (class 0 OID 21079)
-- Dependencies: 188
-- Data for Name: dph; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.dph (id_dph, name, value) FROM stdin;
1	0%	0
2	10%	0.1
3	15%	0.15
4	21%	0.21
\.


--
-- TOC entry 2345 (class 0 OID 0)
-- Dependencies: 187
-- Name: dph_id_dph_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.dph_id_dph_seq', 4, true);


--
-- TOC entry 2310 (class 0 OID 21275)
-- Dependencies: 210
-- Data for Name: events; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.events (id_events, name, location, event_start, event_end, image) FROM stdin;
17	Let It Roll	Praha	2021-08-05 00:00:00	2021-08-07 23:59:00	LIR2021.webp
18	MusicON	Amsterdam	2021-05-08 00:00:00	2021-05-09 23:59:00	MusicOnPoster.jpg
19	Metronom	Praha	2021-06-22 00:00:00	2021-06-23 23:59:00	metronome.jpg
\.


--
-- TOC entry 2346 (class 0 OID 0)
-- Dependencies: 209
-- Name: events_id_events_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.events_id_events_seq', 19, true);


--
-- TOC entry 2300 (class 0 OID 21175)
-- Dependencies: 200
-- Data for Name: locations; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.locations (id_location, name, id_event) FROM stdin;
8	Test4	17
9	Test5	18
10	test	17
\.


--
-- TOC entry 2347 (class 0 OID 0)
-- Dependencies: 199
-- Name: locations_id_location_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.locations_id_location_seq', 11, true);


--
-- TOC entry 2306 (class 0 OID 21209)
-- Dependencies: 206
-- Data for Name: orders; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.orders (id_order, date, id_customer, cardamount, status) FROM stdin;
1	2021-01-10 14:36:41	4	1	f
2	2021-01-10 14:36:41	4	3	t
3	2022-03-20 16:16:14	5	1	f
\.


--
-- TOC entry 2348 (class 0 OID 0)
-- Dependencies: 205
-- Name: orders_id_order_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.orders_id_order_seq', 3, true);


--
-- TOC entry 2290 (class 0 OID 21090)
-- Dependencies: 190
-- Data for Name: products; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.products (id_products, name, value_w_vat, value_n_vat, text, id_dph, id_productsgroup, code, id_unit, id_event) FROM stdin;
4	test	32	22	Test	1	6	test	1	17
5	test2	43	32	TEST2	1	6	test2	1	17
6	test3	60	50	TEST3	1	6	test3	1	17
7	Coca-Cola	16	12	TEST3	1	6	C123	1	17
10	Burger	120	100	Burger	3	6	B123	1	17
13	Klobása	65.00	56.52		3	6	1	1	\N
14	Pivo	50	41.32		4	6	2	1	\N
15	Hranolky	40	34.78		3	6	3	1	\N
16	Limo	45	39.13		3	6	4	1	\N
18	Hot Dog	45	39.13		3	6	5	1	\N
19	Mojito	60	49.59		4	6	5	1	\N
20	Jagermeister	70	57.85		4	6	7	1	\N
21	Pop-Corn	40	34.78		3	6	8	1	\N
22	Cider	50	41.32		4	6	8	1	\N
\.


--
-- TOC entry 2292 (class 0 OID 21107)
-- Dependencies: 192
-- Data for Name: products_group; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.products_group (id_productsgroup, name, id_event) FROM stdin;
6	Potraviny	17
9	QQQ	17
10	VVV	17
\.


--
-- TOC entry 2349 (class 0 OID 0)
-- Dependencies: 191
-- Name: products_group_id_productsgroup_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.products_group_id_productsgroup_seq', 11, true);


--
-- TOC entry 2350 (class 0 OID 0)
-- Dependencies: 189
-- Name: products_id_products_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.products_id_products_seq', 22, true);


--
-- TOC entry 2294 (class 0 OID 21118)
-- Dependencies: 194
-- Data for Name: unit; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.unit (id_unit, code) FROM stdin;
1	ks
2	kg
3	l
\.


--
-- TOC entry 2351 (class 0 OID 0)
-- Dependencies: 193
-- Name: unit_id_unit_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.unit_id_unit_seq', 3, true);


--
-- TOC entry 2286 (class 0 OID 21056)
-- Dependencies: 186
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.users (id_user, name, login, password, pin, email, surname, sex, phone, id_address, birthday) FROM stdin;
8	Dominik	Dominik	31f9694cba700e114a9af3effca739af469febf320100d455b2f80c00480864b	1234	dk@test.com	Klodner	m	732518654	11	2021-01-11
7	test test	test	f7951b305d8a29362e262886d103b11aed3a712f70d14d80bf47a92390c8eea9	1111	t@test.com	Klodner	m	732518654	11	2021-01-11
2	test2	test2	31f9694cba700e114a9af3effca739af469febf320100d455b2f80c00480864b	2222	test@test.com	Klodner	m	732518654	11	2021-01-11
9	Dorien	Dori	5cef6bc22f77155f4d54684db993c00fb23fbe0c35859c6759b3737e48f5f84a	1111	dorotka@gmail.com	Klodner	m	739839291	12	2008-09-26
10	Kokos	Barbie	53d1f4a2532d4036d90f54e80def409817451c39aeb78309c4e96c42fee90e58	7777	kokonat@gmail.com	Kokosák	m	123456789	13	2007-01-17
\.


--
-- TOC entry 2352 (class 0 OID 0)
-- Dependencies: 185
-- Name: users_id_user_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.users_id_user_seq', 10, true);


--
-- TOC entry 2148 (class 2606 OID 21335)
-- Name: bills Bills_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills
    ADD CONSTRAINT "Bills_pkey" PRIMARY KEY (id_bill);


--
-- TOC entry 2138 (class 2606 OID 21206)
-- Name: addressbook addressbook_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.addressbook
    ADD CONSTRAINT addressbook_pkey PRIMARY KEY (id_address);


--
-- TOC entry 2150 (class 2606 OID 21353)
-- Name: bills_order bills_order_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills_order
    ADD CONSTRAINT bills_order_pkey PRIMARY KEY (id_billorder);


--
-- TOC entry 2127 (class 2606 OID 21149)
-- Name: buttons_list buttons_list_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.buttons_list
    ADD CONSTRAINT buttons_list_pkey PRIMARY KEY (id_buttons_list);


--
-- TOC entry 2129 (class 2606 OID 21160)
-- Name: buttons buttons_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.buttons
    ADD CONSTRAINT buttons_pkey PRIMARY KEY (id_buttons);


--
-- TOC entry 2143 (class 2606 OID 21236)
-- Name: cards cards_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.cards
    ADD CONSTRAINT cards_pkey PRIMARY KEY (id_card);


--
-- TOC entry 2135 (class 2606 OID 21195)
-- Name: customers customers_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.customers
    ADD CONSTRAINT customers_pkey PRIMARY KEY (id_customers);


--
-- TOC entry 2116 (class 2606 OID 21087)
-- Name: dph dph_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.dph
    ADD CONSTRAINT dph_pkey PRIMARY KEY (id_dph);


--
-- TOC entry 2146 (class 2606 OID 21283)
-- Name: events events_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.events
    ADD CONSTRAINT events_pkey PRIMARY KEY (id_events);


--
-- TOC entry 2133 (class 2606 OID 21183)
-- Name: locations locations_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.locations
    ADD CONSTRAINT locations_pkey PRIMARY KEY (id_location);


--
-- TOC entry 2141 (class 2606 OID 21214)
-- Name: orders orders_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.orders
    ADD CONSTRAINT orders_pkey PRIMARY KEY (id_order);


--
-- TOC entry 2123 (class 2606 OID 21115)
-- Name: products_group products_group_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products_group
    ADD CONSTRAINT products_group_pkey PRIMARY KEY (id_productsgroup);


--
-- TOC entry 2121 (class 2606 OID 21098)
-- Name: products products_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products
    ADD CONSTRAINT products_pkey PRIMARY KEY (id_products);


--
-- TOC entry 2125 (class 2606 OID 21126)
-- Name: unit unit_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.unit
    ADD CONSTRAINT unit_pkey PRIMARY KEY (id_unit);


--
-- TOC entry 2114 (class 2606 OID 21064)
-- Name: users users_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id_user);


--
-- TOC entry 2130 (class 1259 OID 21172)
-- Name: fki_buttons_list_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_buttons_list_fk ON public.buttons USING btree (id_buttons_list);


--
-- TOC entry 2136 (class 1259 OID 21264)
-- Name: fki_cutomeraddress_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_cutomeraddress_fk ON public.customers USING btree (id_address);


--
-- TOC entry 2117 (class 1259 OID 21104)
-- Name: fki_dph_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_dph_fk ON public.products USING btree (id_dph);


--
-- TOC entry 2139 (class 1259 OID 21220)
-- Name: fki_id_customer_FK; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX "fki_id_customer_FK" ON public.orders USING btree (id_customer);


--
-- TOC entry 2131 (class 1259 OID 21166)
-- Name: fki_product_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_product_fk ON public.buttons USING btree (id_products);


--
-- TOC entry 2118 (class 1259 OID 21138)
-- Name: fki_product_group_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_product_group_fk ON public.products USING btree (id_productsgroup);


--
-- TOC entry 2119 (class 1259 OID 21132)
-- Name: fki_unit_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_unit_fk ON public.products USING btree (id_unit);


--
-- TOC entry 2112 (class 1259 OID 21258)
-- Name: fki_useraddress_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_useraddress_fk ON public.users USING btree (id_address);


--
-- TOC entry 2144 (class 1259 OID 21242)
-- Name: fki_users_fk; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX fki_users_fk ON public.cards USING btree (id_user);


--
-- TOC entry 2165 (class 2606 OID 21364)
-- Name: bills billcard; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills
    ADD CONSTRAINT billcard FOREIGN KEY (id_card) REFERENCES public.cards(id_card);


--
-- TOC entry 2166 (class 2606 OID 21354)
-- Name: bills_order bills_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills_order
    ADD CONSTRAINT bills_fk FOREIGN KEY (id_bill) REFERENCES public.bills(id_bill);


--
-- TOC entry 2163 (class 2606 OID 21336)
-- Name: bills billslocation_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills
    ADD CONSTRAINT billslocation_fk FOREIGN KEY (id_location) REFERENCES public.locations(id_location);


--
-- TOC entry 2164 (class 2606 OID 21341)
-- Name: bills billsuser_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills
    ADD CONSTRAINT billsuser_fk FOREIGN KEY (id_user) REFERENCES public.users(id_user);


--
-- TOC entry 2158 (class 2606 OID 21167)
-- Name: buttons buttons_list_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.buttons
    ADD CONSTRAINT buttons_list_fk FOREIGN KEY (id_buttons_list) REFERENCES public.buttons_list(id_buttons_list);


--
-- TOC entry 2162 (class 2606 OID 21248)
-- Name: cards customers_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.cards
    ADD CONSTRAINT customers_fk FOREIGN KEY (id_user) REFERENCES public.customers(id_customers);


--
-- TOC entry 2160 (class 2606 OID 21259)
-- Name: customers cutomeraddress_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.customers
    ADD CONSTRAINT cutomeraddress_fk FOREIGN KEY (id_address) REFERENCES public.addressbook(id_address);


--
-- TOC entry 2152 (class 2606 OID 21099)
-- Name: products dph_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products
    ADD CONSTRAINT dph_fk FOREIGN KEY (id_dph) REFERENCES public.dph(id_dph);


--
-- TOC entry 2161 (class 2606 OID 21215)
-- Name: orders id_customer_FK; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.orders
    ADD CONSTRAINT "id_customer_FK" FOREIGN KEY (id_customer) REFERENCES public.customers(id_customers);


--
-- TOC entry 2159 (class 2606 OID 21313)
-- Name: locations locationevent_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.locations
    ADD CONSTRAINT locationevent_fk FOREIGN KEY (id_event) REFERENCES public.events(id_events);


--
-- TOC entry 2157 (class 2606 OID 21161)
-- Name: buttons product_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.buttons
    ADD CONSTRAINT product_fk FOREIGN KEY (id_products) REFERENCES public.products(id_products);


--
-- TOC entry 2167 (class 2606 OID 21359)
-- Name: bills_order product_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.bills_order
    ADD CONSTRAINT product_fk FOREIGN KEY (id_product) REFERENCES public.products(id_products);


--
-- TOC entry 2154 (class 2606 OID 21133)
-- Name: products product_group_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products
    ADD CONSTRAINT product_group_fk FOREIGN KEY (id_productsgroup) REFERENCES public.products_group(id_productsgroup);


--
-- TOC entry 2155 (class 2606 OID 21318)
-- Name: products productevent_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products
    ADD CONSTRAINT productevent_fk FOREIGN KEY (id_event) REFERENCES public.events(id_events);


--
-- TOC entry 2156 (class 2606 OID 21323)
-- Name: products_group productsgroupevent; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products_group
    ADD CONSTRAINT productsgroupevent FOREIGN KEY (id_event) REFERENCES public.events(id_events);


--
-- TOC entry 2153 (class 2606 OID 21127)
-- Name: products unit_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.products
    ADD CONSTRAINT unit_fk FOREIGN KEY (id_unit) REFERENCES public.unit(id_unit);


--
-- TOC entry 2151 (class 2606 OID 21253)
-- Name: users useraddress_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT useraddress_fk FOREIGN KEY (id_address) REFERENCES public.addressbook(id_address);


-- Completed on 2022-03-31 21:53:28

--
-- PostgreSQL database dump complete
--

