﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TuttyPOS.Forms.Class;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro AddButton.xaml
    /// </summary>
    public partial class AddButton : Window
    {
        private readonly ButtonsField buttonsField;
        readonly AddEditDelete addeditdelete = new AddEditDelete();
        readonly TuttyPOS.button btn = new TuttyPOS.button();

        public AddButton(ButtonsField owner)
        {
            InitializeComponent();
            buttonsField = owner;
        }
        
        private void AddProductBTN_Click(object sender, RoutedEventArgs e)
        {
            AddButtonProduct addbuttonproduct = new AddButtonProduct(this);
            addbuttonproduct.ShowDialog();
        }

        private void AddBTN_Click(object sender, RoutedEventArgs e)
        {
            
            btn.width = int.Parse(widthTXT.Text);
            btn.height = int.Parse(heightTXT.Text);
            btn.x = (int.Parse(xTXT.Text) - 1);
            btn.y = (int.Parse(yTXT.Text) - 1);
            btn.color = colorPicker1.SelectedColor.ToString();
            btn.fontcolor = colorPicker2.SelectedColor.ToString();
            btn.id_products = GlobalVariables.IdProduct;
            btn.id_buttons_list = GlobalVariables.IdButtonsList;

            if (GlobalVariables.IdButton == 0)
            {
                addeditdelete.Add(btn);
            }
            else
            {
                btn.id_buttons = GlobalVariables.IdButton;
                addeditdelete.Edit(btn);
            }

            buttonsField.Load();
            this.Close();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            if(GlobalVariables.IdButton > 0)
            {
                TuttyPOSEntities DB = new TuttyPOSEntities();
                var buttons = from button in DB.buttons join products in DB.products on button.id_products equals products.id_products where button.id_buttons == GlobalVariables.IdButton select new { button.id_products, button.x, button.y, button.width, button.height, button.id_buttons, button.id_buttons_list, button.color, button.fontcolor, products.name };
                DeleteBTN.IsEnabled = true;


                foreach (var button in buttons)
                {
                    GlobalVariables.IdProduct = Convert.ToInt32(button.id_products);
                    ProductTXT.Text = button.name;
                    xTXT.Text = (ButtonsField.column + 1).ToString();
                    yTXT.Text = (ButtonsField.row + 1).ToString();
                    widthTXT.Text = button.width.ToString();
                    heightTXT.Text = button.height.ToString();
                    colorPicker1.SelectedColor = (Color)ColorConverter.ConvertFromString(button.color);
                    colorPicker2.SelectedColor = (Color)ColorConverter.ConvertFromString(button.fontcolor);
                }
            }
            else
            {
                xTXT.Text = (ButtonsField.column + 1).ToString();
                yTXT.Text = (ButtonsField.row + 1).ToString();
            }
        }

        private void DeleteBTN_Click(object sender, RoutedEventArgs e)
        {
            btn.id_buttons = GlobalVariables.IdButton;
            addeditdelete.Delete(btn);
            buttonsField.Load();
            this.Close();
        }
    }
}
