﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TuttyPOS.Forms.Class;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro ButtonsField.xaml
    /// </summary>
    public partial class ButtonsField : Window
    {
        public ButtonsField()
        {
            InitializeComponent();
        }
        int buttonid;
        bool isselected;

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 8; j++)
                {
                    Button MyControl1 = new Button();
                    Grid.SetColumn(MyControl1, j);
                    Grid.SetRow(MyControl1, i);
                    MyControl1.BorderThickness = new Thickness(1);
                    MyControl1.BorderBrush = Brushes.Black;
                    MyControl1.Tag = 0;
                    gridMain1.Children.Add(MyControl1);
                    MyControl1.Click += ButtonClick;
                }
            }
            Load();
        }
        public static int row;
        public static int column;
        private void ButtonClick(object sender, RoutedEventArgs e)
        {
            Button b = (Button)sender;
            row = Grid.GetRow(b);
            column = Grid.GetColumn(b);

            if (isselected == true)
            {
                gridMain.Children.Clear();
                var btn = new button() { id_buttons = buttonid, x = column, y = row };
                TuttyPOSEntities DB = new TuttyPOSEntities();
                DB.buttons.Attach(btn);
                DB.Entry(btn).Property(x => x.x).IsModified = true;
                DB.Entry(btn).Property(y => y.y).IsModified = true;
                DB.SaveChanges();

                Load();
                isselected = false;
            }
            else
            {
                GlobalVariables.IdButton = (int)b.Tag;
                AddButton addbutton = new AddButton(this);
                addbutton.ShowDialog();
            }
        }

        public void Load()
        {
            TuttyPOSEntities DB = new TuttyPOSEntities();
            var buttons = from button in DB.buttons join products in DB.products on button.id_products equals products.id_products where button.id_buttons_list == GlobalVariables.IdButtonsList select new { button.id_products, button.x, button.y, button.width, button.height, button.id_buttons, button.id_buttons_list, button.color, button.fontcolor, products.name};
            gridMain.Children.Clear();

            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 8; j++)
                {
                    foreach (var button in buttons)
                    {
                        if ((i <= (int)button.y + (int)button.height - 1 && (j >= (int)button.x && j <= (int)button.x + (int)button.width - 1)) && (i >= (int)button.y && (j >= (int)button.x && j <= (int)button.x + (int)button.width - 1)))
                        {
                            if (i == (int)button.y && j == (int)button.x)
                            {
                                try
                                {
                                    Button MyControl2 = new Button();
                                    MyControl2.MouseRightButtonDown += MouseKeyDownClick;
                                    MyControl2.Click += ButtonClick;
                                    Grid.SetColumn(MyControl2, j);
                                    Grid.SetRow(MyControl2, i);
                                    Grid.SetRowSpan(MyControl2, (int)button.height);
                                    Grid.SetColumnSpan(MyControl2, (int)button.width);
                                    MyControl2.Tag = (int)button.id_buttons;
                                    MyControl2.Content = button.name.ToString();
                                    MyControl2.Background = (Brush)(new BrushConverter().ConvertFrom(button.color.ToString()));
                                    MyControl2.Foreground = (Brush)(new BrushConverter().ConvertFrom(button.fontcolor.ToString()));
                                    MyControl2.FontSize = 14;
                                    MyControl2.FontFamily = new FontFamily("Century Gothic");
                                    MyControl2.FontWeight = FontWeights.UltraBold;
                                    MyControl2.BorderThickness = new Thickness(1);
                                    MyControl2.BorderBrush = Brushes.Black;
                                    gridMain.Children.Add(MyControl2);
                                }
                                catch { }
                            }
                        }
                    }
                }
            }
            GlobalVariables.IdButton = 0;
        }

        private void MouseKeyDownClick(object sender, MouseButtonEventArgs e)
        {
            Button b = (Button)sender;

            if (b.Tag != null)
            {
                if (isselected == false)
                {
                    b.BorderBrush = Brushes.Red;
                    b.BorderThickness = new Thickness(2);
                    buttonid = (int)b.Tag;
                    isselected = true;
                }
                else
                {
                    foreach (UIElement element in gridMain.Children)
                    {
                        Button btn = (Button)element;
                        btn.BorderThickness = new Thickness(1);
                        btn.BorderBrush = Brushes.Black;
                        isselected = false;
                    }
                }
            }
        }

        private void Window_Closed(object sender, EventArgs e)
        {
            ButtonsList buttonsList = new ButtonsList();
            buttonsList.ShowDialog();
        }
    }
}
