﻿using Npgsql;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro DBSetting.xaml
    /// </summary>
    public partial class DBSetting : Window
    {
        public DBSetting()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string connectionstring = String.Format("Server={0};Port={1};Database={2};User Id={3};Password={4}", HostTXT.Text, PortTXT.Text, DatabaseTXT.Text, UserTXT.Text, PassTXT.Password);
            try
            {
                using (NpgsqlConnection conn = new NpgsqlConnection(connectionstring))
                {
                    try
                    {
                        conn.Open();

                        string format = "metadata = res://*/ModelTuttyPOS.csdl|res://*/ModelTuttyPOS.ssdl|res://*/ModelTuttyPOS.msl;provider=Npgsql;;provider connection string=\"{0}\"";
                        string modelconnectionString = connectionstring+";";

                        var config = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
                        ConnectionStringsSection connSection = (ConnectionStringsSection)config.GetSection("connectionStrings");
                        connSection.ConnectionStrings["TuttyPOSEntities"].ConnectionString = String.Format(format, modelconnectionString);
                        config.Save();
                        ConfigurationManager.RefreshSection("connectionStrings");

                        Properties.Settings.Default["TuttyPOSConnectionString"] = connectionstring;
                        Properties.Settings.Default.Save();
                        ConnectBTN.Content = "Připojeno";
                        ConnectBTN.Background = Brushes.Green;
                    }
                    catch
                    {
                        ConnectBTN.Content = "Nelze se připojit";
                        ConnectBTN.Background = Brushes.Red; 
                    }

                }
            }
            catch { }
        }
    }
}
