﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro Menu.xaml
    /// </summary>
    public partial class Menu : Window
    {
        public Menu()
        {
            InitializeComponent();
        }
        TuttyPOSEntities DB = new TuttyPOSEntities();
        public void LoadEvLoc()
        {
            var events = DB.events.Where(s => s.id_events == Properties.Settings.Default.IdEvent).FirstOrDefault<@event>();
            var location = DB.locations.Where(s => s.id_location == Properties.Settings.Default.IdLocation).FirstOrDefault<location>();
            EventLabel.Content = "Event: " + events.name;
            LocationLabel.Content = "Lokace: " + location.name;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            DateTimeLabel.Content = DateTime.Now.ToLongDateString() + " " + DateTime.Now.ToLongTimeString();
            System.Windows.Threading.DispatcherTimer dispatcherTimer = new System.Windows.Threading.DispatcherTimer();
            dispatcherTimer.Tick += new EventHandler(DispatcherTimer_Tick);
            dispatcherTimer.Interval = new TimeSpan(0,0,1);
            dispatcherTimer.Start();
            LoadEvLoc();
        }
        

        private void DispatcherTimer_Tick(object sender, EventArgs e)
        {
            DateTimeLabel.Content = DateTime.Now.ToLongDateString() + " " + DateTime.Now.ToLongTimeString();
        }

        private void LogoutBTN_Click(object sender, RoutedEventArgs e)
        {
            MainWindow mainWindow = new MainWindow();
            this.Close();
            mainWindow.Show();

        }

        private void UserBTN_Click(object sender, RoutedEventArgs e)
        {
            UserManager userManager = new UserManager();
            userManager.ShowDialog();
        }

        private void ProductBTN_Click(object sender, RoutedEventArgs e)
        {
            Products products = new Products();
            products.ShowDialog();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ButtonsList buttonslist = new ButtonsList();
            buttonslist.ShowDialog();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            POSCash poscash = new POSCash();
            poscash.Show();
            this.Close();
        }

        private void SettingBTN_Click(object sender, RoutedEventArgs e)
        {
            Settings settings = new Settings(this);
            settings.ShowDialog();
        }

        private void OrdersBTN_Click(object sender, RoutedEventArgs e)
        {
            Orders orders = new Orders();
            orders.ShowDialog();
        }
    }
}
