﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TuttyPOS.Forms.Class;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro NFCPay.xaml
    /// </summary>
    public partial class NFCPay : Window
    {
        private readonly POSCash poscash;
        NFCReader NFC = new NFCReader();
        public NFCPay(POSCash owner)
        {
            InitializeComponent();
            poscash = owner;
            NFC.CardInserted += new NFCReader.CardEventHandler(Card_Inserted);
            NFC.CardEjected += new NFCReader.CardEventHandler(Card_Ejected);
            NFC.Watch(); 
        }

        readonly AddEditDelete addeditdelete = new AddEditDelete();
        readonly TuttyPOS.bill bill = new TuttyPOS.bill();
        readonly TuttyPOS.bills_order billorder = new TuttyPOS.bills_order();
        readonly TuttyPOS.card card = new TuttyPOS.card();
        System.Windows.Threading.DispatcherTimer dispatcherTimer = new System.Windows.Threading.DispatcherTimer();



        private void CancelBTN_Click(object sender, RoutedEventArgs e)
        {
            NFC.StopWatch(true);
            this.Close();
        }

        private void Card_Inserted()
        {
            try
            {
                if (NFC.Connect())
                {
                    SetValues();
                }
                else
                {
                    //Give error message about connection...
                }
            }
            catch (Exception ex)
            {
            }
        }

        private void Card_Ejected()
        {
            NFC.Disconnect();
        }

        string textBody;
        int IdBill;
        private void dispatcherTimer_Tick(object sender, EventArgs e)
        {
            TuttyPOSEntities DB = new TuttyPOSEntities();
            var bo = (from bills_order in DB.bills_order join product in DB.products on bills_order.id_product equals product.id_products where bills_order.id_bill == IdBill select new { bills_order, product });
            textBody = @"
<div style=""box-shadow: 0 0 1in -0.25in rgba(0, 0, 0, 0.5);padding:2mm;border:solid;margin: 0 auto;width: 60mm;background: #FFF;"">
    <center style=""border-bottom: 1px solid #EEE;"">
        <div
            style=""height:60px;width: 60px;background: url(http://michaeltruong.ca/images/logo1.png) no-repeat;background-size: 60px 60px;"">
        </div>
        <h2 style=""color:black"">TuttyPOS</h2>
    </center>
    <div style=""border-bottom: 1px solid #EEE;"">
        <h2 style=""color:black"">Účet č.</h2>
        <p style=""  font-size: 0.9em;color: #666;"">
            Datum: Test<br>
            Lokace: Test<br>
            Adresa: Test<br>
        </p>
    </div>
    <div style=""border-bottom: 1px solid #EEE;"">
        <div>
            <table style=""width: 100%;border-collapse: collapse;"">
                <tr style=""font-size: .5em;background: #EEE;"">
                    <td style=""width:24mm;"">
                        <h2>Produkt</h2>
                    </td>
                    <td>
                        <h2>Počet</h2>
                    </td>
                    <td>
                        <h2>Cena</h2>
                    </td>
                    <td>
                        <h2>Celkem</h2>
                    </td>
                </tr>";

                            foreach (var bills_order in bo)
                            {
                textBody += @"<tr style=""border-bottom: 1px solid #EEE;"">
								<td><p style=""font-size: .8em;"">" + bills_order.product.name + @"</p></td>
                                <td><p style=""font-size: .8em;"">" + bills_order.bills_order.amount + @"</p></td>
                                <td><p style=""font-size: .8em;"">" + bills_order.bills_order.price_w_vat + @"</p></td>
                                <td><p style=""font-size: .8em;"">" + (bills_order.bills_order.amount*bills_order.bills_order.price_w_vat) + @"</p></td>
							</tr>";
                            }
							textBody += @"<tr style=""font-size: .5em;background: #EEE;"">
								<td></td>
                               	<td></td>
								<td><h2>Celkem</h2></td>
								<td><h2>" + bo.ToList().Sum(bills_order => (decimal)bills_order.bills_order.amount * (decimal)bills_order.bills_order.price_w_vat)+ @"</h2></td>
							</tr>

</table>
</div>

<div style=""margin-top: 5mm;text-align:center;"">
    <p style=""font-size: 0.9em;color: #666;""><strong>Děkujeme za Váš nákup.</strong>  Zpracováno pokladním systémem
        TuttyPOS.
    </p>
</div>
</div>
</div>>
";

            try
            {
                MailMessage mail = new MailMessage();
                System.Net.Mail.SmtpClient SmtpServer = new SmtpClient("smtp.gmail.com");

                mail.From = new MailAddress("dominik.klodner@gmail.com");
                mail.To.Add("dominik.klodner@gmail.com");
                mail.Subject = "POS Mail";
                mail.Body = textBody;
                mail.IsBodyHtml = true;
                SmtpServer.Port = 587;
                SmtpServer.Credentials = new System.Net.NetworkCredential("dominik.klodner@gmail.com", "Shxtrading1");
                SmtpServer.EnableSsl = true;

                SmtpServer.Send(mail);
            }
            catch { }
            


            POSCash.items.Clear();
            poscash.POSList.Items.Refresh();
            poscash.SumLabel.Content = "0";
            this.Close();
            dispatcherTimer.Stop();
        }

        private void SetValues()
        {
            System.Windows.Application.Current.Dispatcher.Invoke(
                System.Windows.Threading.DispatcherPriority.Normal,
                (System.Threading.ThreadStart) delegate
                {
                    Image image = new Image
                    {
                        Width = 50,
                    };
                    Label LoadLabel = new Label();
                    LoadStack.Children.Clear();
                    string carduid = NFC.GetCardUID();
                    TuttyPOSEntities DB = new TuttyPOSEntities();
                    var cards = from c in DB.cards where c.uid == carduid && c.active == true select c;
                    if (cards.SingleOrDefault() != null)
                    {
                        if ((double)cards.SingleOrDefault().credit >= POSItems.sum)
                        {
                            bill.created = DateTime.Now;
                            bill.id_location = (int)Properties.Settings.Default["IdLocation"];
                            bill.id_user = GlobalVariables.IdUser;
                            bill.id_card = cards.SingleOrDefault().id_card;
                            bill.storno = false;
                            addeditdelete.Add(bill);
                            IdBill = bill.id_bill;
                            foreach (var product in POSCash.items)
                            {
                                billorder.id_bill = bill.id_bill;
                                billorder.id_product = product.IDitems;
                                billorder.amount = product.Quantity;
                                billorder.price_w_vat = (float)product.Price;
                                addeditdelete.Add(billorder);
                            }
                            card.id_card = cards.SingleOrDefault().id_card;
                            card.uid = cards.SingleOrDefault().uid;
                            card.id_user = cards.SingleOrDefault().id_user;
                            card.credit = cards.SingleOrDefault().credit - (decimal)POSItems.sum;
                            card.active = true;
                            addeditdelete.Edit(card);
                            image.Source = new BitmapImage(new Uri(@"graphics/ok.png", UriKind.RelativeOrAbsolute));
                            LoadLabel.Content = "Platba proběhla úspěšně";
                            NFC.StopWatch(true);
                            dispatcherTimer.Tick += new EventHandler(dispatcherTimer_Tick);
                            dispatcherTimer.Interval = new TimeSpan(0, 0, 1);
                            dispatcherTimer.Start();
                        }
                        else
                        {
                            image.Source = new BitmapImage(new Uri(@"graphics/failed.png", UriKind.RelativeOrAbsolute));
                            LoadLabel.Content = "Nedostatečný kredit";
                        }

                    }
                    else
                    {
                        image.Source = new BitmapImage(new Uri(@"graphics/nocard.png", UriKind.RelativeOrAbsolute));
                        LoadLabel.Content = "Neplatný čip";
                    }
                    LoadStack.Children.Add(image);
                    LoadStack.Children.Add(LoadLabel);
                });
        }
    }
}
