﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TuttyPOS.Forms.Class;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro Orders.xaml
    /// </summary>
    public partial class Orders : Window
    {
        public Orders()
        {
            InitializeComponent();
        }
        TuttyPOSEntities DB = new TuttyPOSEntities();
        readonly AddEditDelete addeditdelete = new AddEditDelete();
        int ID = 0;

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            LoadBill();
            LoadBillOrder();
        }
        private void LoadBill()
        {
            TuttyPOS.TuttyPOSDataSet tuttyPOSDataSet = ((TuttyPOS.TuttyPOSDataSet)(this.FindResource("tuttyPOSDataSet")));
            // Načte data do tabulky bills. Tento kód lze upravovat podle potřeby.
            TuttyPOS.TuttyPOSDataSetTableAdapters.billsTableAdapter tuttyPOSDataSetbillsTableAdapter = new TuttyPOS.TuttyPOSDataSetTableAdapters.billsTableAdapter();
            tuttyPOSDataSetbillsTableAdapter.Fill(tuttyPOSDataSet.bills);
            System.Windows.Data.CollectionViewSource billsViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("billsViewSource")));
        }

        private void LoadBillOrder()
        {
            TuttyPOS.TuttyPOSDataSet tuttyPOSDataSet = ((TuttyPOS.TuttyPOSDataSet)(this.FindResource("tuttyPOSDataSet")));
            TuttyPOS.TuttyPOSDataSetTableAdapters.bills_orderTableAdapter tuttyPOSDataSetbills_orderTableAdapter = new TuttyPOS.TuttyPOSDataSetTableAdapters.bills_orderTableAdapter();
            tuttyPOSDataSetbills_orderTableAdapter.Fill(tuttyPOSDataSet.bills_order, ID);
            System.Windows.Data.CollectionViewSource bills_orderViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("bills_orderViewSource")));
        }

        private void billsDataGrid_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ID = Convert.ToInt32(addeditdelete.Selection(sender, "id_bill"));
            LoadBillOrder();
        }

        private void StornoBTN_Click(object sender, RoutedEventArgs e)
        {
            var update = (from cards in DB.cards join bills in DB.bills on cards.id_card equals bills.id_card join bills_order in DB.bills_order on bills.id_bill equals bills_order.id_bill join products in DB.products on bills_order.id_product equals products.id_products where bills.id_bill == ID select new { cards, bills, bills_order, products });
            var sum = update.ToList().Sum(bo => (decimal)bo.bills_order.amount * (decimal)bo.bills_order.price_w_vat);
            update.ToList().ForEach(c => c.cards.credit += sum);
            update.ToList().ForEach(b => b.bills.storno = true);
            DB.SaveChanges();
            LoadBill();
        }
    }
}
