﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro POSCash.xaml
    /// </summary>
    public partial class POSCash : Window
    {
        public POSCash()
        {
            InitializeComponent();
        }

        public static List<Class.POSItems> items = new List<Class.POSItems>();

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            POSList.ItemsSource = items;

            TuttyPOSEntities DB = new TuttyPOSEntities();
            var buttons = from button in DB.buttons join products in DB.products on button.id_products equals products.id_products where button.id_buttons_list == (int)Properties.Settings.Default.IdButtonList select new { button.id_products, button.x, button.y, button.width, button.height, button.id_buttons, button.id_buttons_list, button.color, button.fontcolor, products.name };
            try
            {


            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 8; j++)
                {
                    foreach (var button in buttons)
                    {
                        if ((i <= (int)button.y + (int)button.height - 1 && (j >= (int)button.x && j <= (int)button.x + (int)button.width - 1)) && (i >= (int)button.y && (j >= (int)button.x && j <= (int)button.x + (int)button.width - 1)))
                        {
                            if (i == (int)button.y && j == (int)button.x)
                            {
                                try
                                {
                                    Button MyControl2 = new Button();
                                    MyControl2.Click += ButtonClick;
                                    Grid.SetColumn(MyControl2, j);
                                    Grid.SetRow(MyControl2, i);
                                    Grid.SetRowSpan(MyControl2, (int)button.height);
                                    Grid.SetColumnSpan(MyControl2, (int)button.width);
                                    MyControl2.Tag = (int)button.id_buttons;
                                    MyControl2.Content = button.name.ToString();
                                    MyControl2.Background = (Brush)(new BrushConverter().ConvertFrom(button.color.ToString()));
                                    MyControl2.Foreground = (Brush)(new BrushConverter().ConvertFrom(button.fontcolor.ToString()));
                                    MyControl2.FontSize = 14;
                                    MyControl2.FontFamily = new FontFamily("Century Gothic");
                                    MyControl2.FontWeight = FontWeights.UltraBold;
                                    MyControl2.BorderThickness = new Thickness(1);
                                    MyControl2.BorderBrush = Brushes.Black;
                                    gridMain.Children.Add(MyControl2);
                                }
                                catch { }
                            }
                        }
                    }
                }
            }
            }
            catch { }
        }

        private void CloseBTN_Click(object sender, RoutedEventArgs e)
        {
            Menu menu = new Menu();
            menu.Show();
            this.Close();
        }

        private void ButtonClick(object sender, RoutedEventArgs e)
        {
            Button b = (Button)sender;

            TuttyPOSEntities DB = new TuttyPOSEntities();
            var cashproducts = from button in DB.buttons join products in DB.products on button.id_products equals products.id_products where button.id_buttons == (int)b.Tag select new { button.id_products, button.id_buttons, products.name, products.value_w_vat };
            
            foreach (var product in cashproducts)
            {
                var item = from i in items where i.IDitems == product.id_products select i;
                if(item.Count() > 0)
                {
                    items.Where(it => it.IDitems == product.id_products).ToList().ForEach(s => s.Quantity += Class.POSItems.Amount);
                }
                else
                {
                    items.Insert(0,(new Class.POSItems() { IDitems = (int)product.id_products, Name = product.name, Quantity = Class.POSItems.Amount, Price = (double)product.value_w_vat }));
                }
            }
            SumLabel.Content = items.Sum(x => (double)x.Sum);
            POSList.Items.Refresh();
            POSList.SelectedIndex = 0;

            foreach (Button amountb in AmountGrid.Children)
            {
                amountb.Background = Brushes.WhiteSmoke;
            }
            Class.POSItems.Amount = 1;
        }

        private void AmountBTN_Click(object sender, RoutedEventArgs e)
        {
            Button b = (Button)sender;
            int bamount = Convert.ToInt32(b.Content);
            foreach (Button amountb in AmountGrid.Children)
            {
                amountb.Background = Brushes.WhiteSmoke;
            }
            if(Class.POSItems.Amount == bamount)
            {
                Class.POSItems.Amount = 1;
            }
            else
            {
                b.Background = Brushes.Green;
                Class.POSItems.Amount = bamount;
            }
        }

        private void ClearBTN_Click(object sender, RoutedEventArgs e)
        {
            items.Clear();
            POSList.Items.Refresh();
            SumLabel.Content = "0";
        }

        private void StornoBTN_Click(object sender, RoutedEventArgs e)
        {
           try
            {
                var f = (Class.POSItems)POSList.SelectedItem;
                if(f != null)
                {
                    var item = from i in items where i.IDitems == f.IDitems select i;
                    if (item.Count() > 0)
                    {
                        items.Where(it => it.IDitems == f.IDitems).ToList().ForEach(s => s.Quantity += -1);

                        var item2 = from it in items where it.Quantity == 0 select it;
                        if (item2.Count() > 0)
                        {
                            items.Remove(item2.SingleOrDefault());
                        }
                    }
                }  
            }
            catch { }
            

            SumLabel.Content = items.Sum(x => (double)x.Sum);
            POSList.Items.Refresh();
        }

        private void CustomAmountBTN_Click(object sender, RoutedEventArgs e)
        {
            POSAmount posamount = new POSAmount();
            posamount.ShowDialog();
        }

        private void PayBTN_Click(object sender, RoutedEventArgs e)
        {
            Class.POSItems.sum = Convert.ToDouble(SumLabel.Content);
            NFCPay nfcpay = new NFCPay(this);
            nfcpay.ShowDialog();
        }
    }
}
