﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro PinKeypad.xaml
    /// </summary>
    public partial class PinKeypad : Window, INotifyPropertyChanged
    {
        #region Public Properties

        private string _result;
        private string _result1="";

        public string Result
        {
            get { return _result1; }
            private set { _result1 = value;}
        }

        public string PassResult
        {
            get { return _result; }
            private set { _result = value; this.OnPropertyChanged("PassResult"); }
        }

        #endregion

        public PinKeypad()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button button = sender as Button;
            switch (button.CommandParameter.ToString())
            {
                case "ESC":
                    this.DialogResult = false;
                    break;

                case "RETURN":
                    this.DialogResult = true;
                    break;

                case "BACK":
                    if (Result.Length > 0)
                    {
                        Result = Result.Remove(Result.Length - 1);
                        PassResult = PassResult.Remove(PassResult.Length - 1);
                    }
                    break;

                default:
                    Result += button.Content.ToString();
                    PassResult += new string('*' , button.Content.ToString().Length);
                    break;
            }
        }

        #region INotifyPropertyChanged members

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(String info)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(info));
        }

        #endregion



    }
}
