﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro Settings.xaml
    /// </summary>
    public partial class Settings : Window
    {
        private readonly Menu menu;

        public Settings(Menu owner)
        {
            InitializeComponent();
            TuttyPOS.TuttyPOSDataSet tuttyPOSDataSet = ((TuttyPOS.TuttyPOSDataSet)(this.FindResource("tuttyPOSDataSet")));
            menu = owner;

        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            LoadEvent();
            LoadLocation();
            LoadButtonList();

        }

        private void LoadEvent()
        {
            TuttyPOS.TuttyPOSDataSet tuttyPOSDataSet = ((TuttyPOS.TuttyPOSDataSet)(this.FindResource("tuttyPOSDataSet")));
            // Načte data do tabulky events. Tento kód lze upravovat podle potřeby.
            TuttyPOS.TuttyPOSDataSetTableAdapters.eventsTableAdapter tuttyPOSDataSeteventsTableAdapter = new TuttyPOS.TuttyPOSDataSetTableAdapters.eventsTableAdapter();
            tuttyPOSDataSeteventsTableAdapter.Fill(tuttyPOSDataSet.events);
            System.Windows.Data.CollectionViewSource eventsViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("eventsViewSource")));
            eventsViewSource.View.MoveCurrentToFirst();
        }

        private void LoadLocation()
        {
            TuttyPOS.TuttyPOSDataSet tuttyPOSDataSet = ((TuttyPOS.TuttyPOSDataSet)(this.FindResource("tuttyPOSDataSet")));
            // Načte data do tabulky locations. Tento kód lze upravovat podle potřeby.
            TuttyPOS.TuttyPOSDataSetTableAdapters.locationsTableAdapter tuttyPOSDataSetlocationsTableAdapter = new TuttyPOS.TuttyPOSDataSetTableAdapters.locationsTableAdapter();
            tuttyPOSDataSetlocationsTableAdapter.Fill(tuttyPOSDataSet.locations,Convert.ToInt32(EventCombo.SelectedValue));
            System.Windows.Data.CollectionViewSource locationsViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("locationsViewSource")));
            locationsViewSource.View.MoveCurrentToFirst();
        }

        private void LoadButtonList()
        {
            TuttyPOS.TuttyPOSDataSet tuttyPOSDataSet = ((TuttyPOS.TuttyPOSDataSet)(this.FindResource("tuttyPOSDataSet")));
            // Načte data do tabulky buttons_list. Tento kód lze upravovat podle potřeby.
            TuttyPOS.TuttyPOSDataSetTableAdapters.buttons_listTableAdapter tuttyPOSDataSetbuttons_listTableAdapter = new TuttyPOS.TuttyPOSDataSetTableAdapters.buttons_listTableAdapter();
            tuttyPOSDataSetbuttons_listTableAdapter.Fill(tuttyPOSDataSet.buttons_list);
            System.Windows.Data.CollectionViewSource buttons_listViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("buttons_listViewSource")));
            buttons_listViewSource.View.MoveCurrentToFirst();
        }

        private void SaveBTN_Click(object sender, RoutedEventArgs e)
        {
            Properties.Settings.Default.IdEvent = (int)EventCombo.SelectedValue;
            Properties.Settings.Default.IdLocation = (int)LocationCombo.SelectedValue;
            Properties.Settings.Default.IdButtonList = (int)BTNListCombo.SelectedValue;
            Properties.Settings.Default.Save();
            menu.LoadEvLoc();

        }

        private void EventCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            LoadLocation();
        }

        private void LocationCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
        }

        private void BTNListCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

        }
    }
}
