﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace TuttyPOS.Forms
{
    /// <summary>
    /// Interakční logika pro VirtualKeyboard.xaml
    /// </summary>
    public partial class VirtualKeyboard : Window, INotifyPropertyChanged
    {
        #region Public Properties

        private bool _showNumericKeyboard;
        public bool ShowNumericKeyboard
        {
            get { return _showNumericKeyboard; }
            set { _showNumericKeyboard = value; this.OnPropertyChanged("ShowNumericKeyboard"); }
        }

        private string _user;
        public string UserResult
        {
            get { return _user; }
            private set { _user = value; this.OnPropertyChanged("UserResult"); }
        }

        private string _pass;
        public string PassResult
        {
            get { return _pass; }
            private set { _pass = value; this.OnPropertyChanged("PassResult"); }
        }

        bool focus = true;
        #endregion

        #region Constructor

        public VirtualKeyboard()
        {
            InitializeComponent();
            this.DataContext = this;
            UserTextBox.Focus();
        }


        #endregion

        #region Callbacks

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (sender is Button button)
            {
                switch (button.CommandParameter.ToString())
                {
                    case "LSHIFT":
                        Regex upperCaseRegex = new Regex("[A-ZĚŠČŘŽÝÁÍÉ]");
                        Regex lowerCaseRegex = new Regex("[a-zěščřžýáíé]");
                        Button btn;
                        foreach (UIElement elem in AlfaKeyboard.Children)
                        {
                            if (elem is Grid grid)
                            {
                                foreach (UIElement uiElement in grid.Children)
                                {
                                    btn = uiElement as Button;
                                    if (btn != null)
                                    {
                                        if (btn.Content.ToString().Length == 1)
                                        {
                                            if (upperCaseRegex.Match(btn.Content.ToString()).Success)
                                                btn.Content = btn.Content.ToString().ToLower();
                                            else if (lowerCaseRegex.Match(button.Content.ToString()).Success)
                                                btn.Content = btn.Content.ToString().ToUpper();
                                        }

                                    }
                                }
                            }
                        }
                        break;

                    case "RETURN":
                        this.DialogResult = true;
                        break;

                    case "Enter":
                        using (TuttyPOSEntities DB = new TuttyPOSEntities())
                        {
                            string pass = Cryptography.Encrpyt(PassTextBox.Password);
                            var query = from user in DB.users where user.login == UserTextBox.Text && user.password == pass select user;
                            if (query.SingleOrDefault() != null)
                            {
                                Class.GlobalVariables.IdUser = query.SingleOrDefault().id_user;
                                MainWindow mainWindow = App.Current.Windows.OfType<MainWindow>().FirstOrDefault();
                                this.Close();
                                Menu menu = new Menu();
                                menu.Show();
                                mainWindow.Close();
                            }
                        }
                        break;

                    case "ESC":
                        this.Close();
                        break;

                    case "BACK":
                        if (focus == true)
                        {
                            if (UserTextBox.Text.Length > 0)
                            {
                                UserTextBox.Text = UserTextBox.Text.Substring(0, (UserTextBox.Text.Length - 1));
                            }
                        }
                        else
                        {
                            if (PassTextBox.Password.Length > 0)
                            {
                                PassTextBox.Password = PassTextBox.Password.Substring(0, (PassTextBox.Password.Length - 1));
                            }
                        }

                        break;

                    default:
                        if (focus == true)
                        {
                            UserTextBox.Text += button.Content.ToString();
                        }

                        else
                        {
                            PassTextBox.Password += button.Content.ToString();
                        }
                        break;
                }
            }
        }

        #endregion

        #region INotifyPropertyChanged members

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
        }

        #endregion

        private void UserTextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            UserResult = UserTextBox.Text;
        }

        private void UserTextBox_GotFocus(object sender, RoutedEventArgs e)
        {
            focus = true;
        }

        private void PassTextBox_GotFocus(object sender, RoutedEventArgs e)
        {
            focus = false;
        }

        private void PassTextBox_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            PassResult = PassTextBox.Password;
        }
    }
}
